Subject: bug#31771: 26.1; Writing image file with emacs hangs entire system

From: Noam Postavsky <[email-masked]>
Date: Sat, 09 Jun 2018 22:53:30 -0400

Adam <[email-masked]> writes:

> It's actually quite similar to a graphics driver hang, now that you
> mention it. The system is unresponsive to input and my cursor freezes,
> but audio keeps playing. Emacs also doesn't successfully write the
> decoded file to my disk.
>
> I can reproduce the issue in a debug build of 26.1, but the freeze also
> truncates my gdb log so I'm having a hard time nailing down exactly
> where it occurs (too many lisp interpreter frames :( ). I've also found
> that the issue only occurs iff the imagemagick feature is enabled, and
> can simply be reproduced with C-x C-f (the decoded black pixel image).

So it definitely sounds like a graphics driver problem.  Do you get
anything in the Xorg logs?  Are there any graphics driver settings you
can fiddle with?  I suppose it doesn't happen if you run imagemagick's
'display' command on the image?